Skip to main content
POST
/
api
/
i
/
v1
/
{publicKey}
/
events
Ingest events
curl --request POST \
  --url https://app.outlit.ai/api/i/v1/{publicKey}/events \
  --header 'Content-Type: application/json' \
  --data '
{
  "visitorId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "source": "client",
  "events": [
    {
      "type": "pageview",
      "url": "https://example.com/pricing",
      "path": "/pricing",
      "title": "Pricing - Example",
      "timestamp": 1699999999999
    }
  ]
}
'
{
  "success": true
}

Path Parameters

publicKey
string
required

Your organization's public key. Starts with pk_.

Pattern: ^pk_

Body

application/json
events
object[]
required
Required array length: 1 - 100 elements
visitorId
string<uuid>

Browser visitor identifier. Required for client tracking.

source
enum<string>
default:client
Available options:
client,
server,
integration
userIdentity
object
customerIdentity
object

Response

Events accepted.

success
boolean
required